# Interface NgModelOptions

interface NgModelOptions {
allowInvalid: boolean;
debounce: number | {};
getterSetter: boolean;
timeSecondsFormat: string;
timeStripZeroSeconds: boolean;
timezone: string;
updateOn: string;
}

- Defined in types.js:425

#####
Index

### Properties

allowInvalid
debounce
getterSetter
timeSecondsFormat
timeStripZeroSeconds
timezone
updateOn

##
Properties

### allowInvalid

allowInvalid: boolean

Allows invalid models.

- Defined in types.js:428

### debounce

debounce: number | {}

The debounce delay.

- Defined in types.js:427

### getterSetter

getterSetter: boolean

Indicates if getter/setter syntax is allowed.

- Defined in types.js:429

### timeSecondsFormat

timeSecondsFormat: string

The format for seconds in time and datetime-local inputs.

- Defined in types.js:431

### timeStripZeroSeconds

timeStripZeroSeconds: boolean

Indicates if zero seconds should be stripped.

- Defined in types.js:432

### timezone

timezone: string

The timezone.

- Defined in types.js:430

### updateOn

updateOn: string

The event to update on.

- Defined in types.js:426